<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('editorsettings');

if (isset($_POST['button'])) {
	$id = $_POST['id'];
} else {
	$id = $_GET['id'];
}

include('../data/settings/editor.inc.php');
if ($id != 'new') {
	if (array_key_exists($id, $wymeditor_editorclasses)) {
		$wym_editorclass = $wymeditor_editorclasses[$id];
	} else {
		$error_doesnotexist = true;
	}
} else {
	$wym_editorclass = array(
							'title' => '',
							'class' => array(
									'name' => '',
									'expr' => ''
								),
							'editorstyle' => array(
									'name' => '',
									'css' => ''
								),
							'previewstyle' => array(
									'name' => '',
									'css' => ''
								)
						);
}

if (isset($_POST['button'])) {
	$wym_editorclass = array(
							'title' => $_POST['title'],
							'class' => array(
									'name' => $_POST['class_name'],
									'expr' => $_POST['class_expr']
								),
							'editorstyle' => array(
									'name' => $_POST['editorstyle_name'],
									'css' => $_POST['editorstyle_css']
								),
							'previewstyle' => array(
									'name' => $_POST['previewstyle_name'],
									'css' => $_POST['previewstyle_css']
								)
						);
	if ($_POST['title'] != ''
	  && $_POST['class_name'] != ''
	  && $_POST['class_expr'] != ''
	  && $_POST['editorstyle_name'] != ''
	  && $_POST['editorstyle_css'] != ''
	  && $_POST['editorstyle_name'] != ''
	  && $_POST['editorstyle_css'] != '') {
		if ($id != 'new') {
			$wymeditor_editorclasses[$id] = $wym_editorclass;
		} else {
			$wymeditor_editorclasses[uniqid(mt_rand(), true)] = $wym_editorclass;
		}
		$writethis = '<?php
		$wymeditor_editorclasses = '.var_export($wymeditor_editorclasses, true).';
		?>';
		file_put_contents('../data/settings/editor.inc.php', $writethis);
		header('Location: editorsettings.php?saved='.urlencode($_POST['title']).'&'.SID.csrf_protection_get());
		die();
	} else {
		$error_data = true;
	}
}

include('escape.inc.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<h2><?php locale('title_edit-class') ?></h2>

		<?php
		if (isset($error_data)) {
			echo '<p class="error">';
			locale('error_data');
			echo '</p>';
		}
		if (isset($error_doesnotexist)) {
			echo '<p class="error">';
			locale('error_notfound');
			echo ' <a href="editorsettings.php?'.SID.csrf_protection_get_html_ret().'">'.locale('link_back',true).'</a>';
			echo '</p>';
		} else {
		?>

		<form action="editeditorclass.php?<?php echo SID; csrf_protection_get_html() ?>" method="post">
			<input type="hidden" name="id" value="<?php echo $id ?>" />
			<fieldset>
				<p>
					<div class="row entryrow">
						<label for="title" class="column">
							<?php locale('label_title') ?>:
						</label>
						<span class="column">
							<input type="text" id="title" name="title" value="<?php echo htmlspecialchars($wym_editorclass['title']) ?>" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>

			<fieldset>
				<legend><?php locale('title_class') ?></legend>
				<p>
					<div class="row entryrow">
						<label for="class_name" class="column">
							<?php locale('label_class-name') ?>:
						</label>
						<span class="column">
							<input type="text" id="class_name" name="class_name" value="<?php echo htmlspecialchars($wym_editorclass['class']['name']) ?>" />
						</span>
					</div>

					<div class="row entryrow">
						<label for="class_expr" class="column">
							<?php locale('label_class-expr') ?>:
						</label>
						<span class="column">
							<input type="text" id="class_expr" name="class_expr" value="<?php echo htmlspecialchars($wym_editorclass['class']['expr']) ?>" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>

			<fieldset>
				<legend><?php locale('title_editorstyle') ?></legend>
				<p>
					<div class="row entryrow">
						<label for="editorstyle_name" class="column">
							<?php locale('label_style-name') ?>:
						</label>
						<span class="column">
							<input type="text" id="editorstyle_name" name="editorstyle_name" value="<?php echo htmlspecialchars($wym_editorclass['editorstyle']['name']) ?>" />
						</span>
					</div>

					<div class="row entryrow">
						<label for="editorstyle_css" class="column">
							<?php locale('label_style-css') ?>:
						</label>
						<span class="column">
							<input type="text" id="editorstyle_css" name="editorstyle_css" value="<?php echo htmlspecialchars($wym_editorclass['editorstyle']['css']) ?>" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>


			<fieldset>
				<legend><?php locale('title_previewstyle') ?></legend>
				<p>
					<div class="row entryrow">
						<label for="previewstyle_name" class="column">
							<?php locale('label_style-name') ?>:
						</label>
						<span class="column">
							<input type="text" id="previewstyle_name" name="previewstyle_name" value="<?php echo htmlspecialchars($wym_editorclass['previewstyle']['name']) ?>" />
						</span>
					</div>

					<div class="row entryrow">
						<label for="previewstyle_css" class="column">
							<?php locale('label_style-css') ?>:
						</label>
						<span class="column">
							<input type="text" id="previewstyle_css" name="previewstyle_css" value="<?php echo htmlspecialchars($wym_editorclass['previewstyle']['css']) ?>" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>

			<p>
				<input type="submit" name="button" value="<?php locale('button_save') ?>">
				<a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('button_cancel') ?></a>
			</p>
		</form>

		<?php
		}
		?>

	</body>
</html>
