<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('edituser');

$message = '';
include('escape.inc.php');
if (isset($_POST['button']) && strpos($_POST['file'], '/') === false) {
	$file = $_POST['file'];
	$error = false;
	if (isset($_POST['password']) && $_POST['password'] == 'on') {
		if ($_POST['pass'] == $_POST['repeat']) {
			$pass = sha1($file.escapeSL($_POST['pass']));
		} else {
			$message = '<p class="error">'.locale('desc_error-invalid-data',true).'</p>';
			$error = true;
		}
	} else {
		include('../data/users/'.$file);
	}
	if (!$error) {
		$user_pages = (isset($_POST['pages'])) ? $_POST['pages'] : '';
		$user_files = (isset($_POST['files'])) ? $_POST['files'] : '';
		$user_includes = (isset($_POST['includes'])) ? $_POST['includes'] : '';
		$user_template = (isset($_POST['template'])) ? $_POST['template'] : '';
		$user_gbook = (isset($_POST['gbook'])) ? $_POST['gbook'] : '';
		$user_blog = (isset($_POST['blog'])) ? $_POST['blog'] : '';
		$user_stats = (isset($_POST['stats'])) ? $_POST['stats'] : '';
		$writethis = '<?php
		$user = \''.escapeForm($_POST['user']).'\';
		$pass = \''.escapeSave($pass).'\';
		$user_pages = \''.escapeForm($user_pages).'\';
		$user_files = \''.escapeForm($user_files).'\';
		$user_includes = \''.escapeForm($user_includes).'\';
		$user_template = \''.escapeForm($user_template).'\';
		$user_gbook = \''.escapeForm($user_gbook).'\';
		$user_blog = \''.escapeForm($user_blog).'\';
		$user_stats = \''.escapeForm($user_stats).'\';
		?>';
		file_put_contents('../data/users/'.$file, $writethis);
		header('Location: users.php?saved='.$_POST['user'].'&'.SID.csrf_protection_get());
	}
} elseif (strpos($_GET['user'], '/') === false) {
	$file = $_GET['user'];
} else {
	die();
}
include('../data/users/'.$file);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title_edituser') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css" />
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<h2><?php locale('title_edituser') ?></h2>
		<?php echo $message ?>
		<form action="edituser.php?<?php echo SID; csrf_protection_get_html() ?>" method="post">
			<fieldset>
				<p>
					<input type="hidden" name="file" value="<?php echo $file ?>" />
					<div class="row entryrow">
						<label for="user" class="column">
							<?php locale('label_username') ?>:
						</label>
						<span class="column">
							<input type="text" id="user" name="user" value="<?php echo htmlspecialchars($user) ?>" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>
			<fieldset>
				<legend>
					<input type="checkbox" name="password" id="password" />
					<label for="password"><?php locale('label_change-password') ?></label>
				</legend>
				<p>
					<div class="row entryrow">
						<label for="pass" class="column">
							<?php locale('label_password') ?>:
						</label>
						<span class="column">
							<input type="password" id="pass" name="pass" value="" />
						</span>
					</div>

					<div class="row entryrow">
						<label for="repeat" class="column">
							<?php locale('desc_repeat') ?>
						</label>
						<span class="column">
							<input type="password" id="repeat" name="repeat" value="" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>
			<fieldset>
				<legend><?php locale('title_rights') ?></legend>
				<p>
					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="pages" id="pages" <?php if ($user_pages == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="pages" class="column">
							<?php locale('label_user-pages') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="files" id="files" <?php if ($user_files == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="files" class="column">
							<?php locale('label_user-files') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="includes" id="includes" <?php if ($user_includes == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="includes" class="column">
							<?php locale('label_user-includes') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="template" id="template" <?php if ($user_template == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="template" class="column">
							<?php locale('label_user-template') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="gbook" id="gbook" <?php if ($user_gbook == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="gbook" class="column">
							<?php locale('label_user-gbook') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="blog" id="blog" <?php if ($user_blog == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="blog" class="column">
							<?php locale('label_user-blog') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="stats" id="stats" <?php if ($user_stats == 'on') { echo 'checked="checked"'; }?> />
						</span>
						<label for="stats" class="column">
							<?php locale('label_user-stats') ?>
						</label>
					</div>

					<br class="break" />
				</p>
			</fieldset>
			<p class="hint">
				<?php locale('desc_users') ?>
			</p>
			<p>
				<input type="submit" name="button" value="<?php locale('button_save') ?>">
				<a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('button_cancel') ?></a>
			</p>
		</form>

	</body>
</html>
