<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('includes');
include('locale.inc.php');
$locale = new LocalizingClass('includes');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('desc_includes') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
		<script src="jquery.js" type="text/javascript"></script>
		<script src="anchormenu.js" type="text/javascript"></script>
		<?php if (mobile()) { ?>
		<script type="text/javascript">
		<!--
		/*$(function () {
			$(".list_info").css("display", "none");
			$(".list_name").each(function () {
				$(this)
					.wrapInner('<a href="#" style="display:block"></a>')
					.find("a")
					.click(function () {
						$(".list_info").css("display", "none");
						$(this).parent().parent().find(".list_info").css("display", "block");
						$(this).blur();
					});
			});
		});*/
		//-->
		</script>
		<?php } ?>
	</head>
	<body>

		<h1><?php locale('desc_includes') ?></h1>

		<?php
		if (isset($_GET['special'])) {
			if ($_GET['special'] == 'deleteinc') {
				echo '<p class="success">'.locale('desc_moved-to-recyclebin',true).'</p>';
			} elseif ($_GET['special'] == 'restoreinc') {
				echo '<p class="success">'.locale('desc_restored',true).'</p>';
			}
		} else {
			echo '<p class="hint">'.locale('desc_recyclebin',true).'</p>';
		}
		?>

		<p class="linklist_action">
			<a href="newinc.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><img src="icons-action/create-file.png" style="vertical-align:middle" alt="" height="16" width="16" /> <?php locale('link_newinc') ?></a>
		</p>

		<?php
		$vorhanden = false;
		$files = array();
		if ($handle = opendir('../data/includes')) {
		while (false !== ($file = readdir($handle))) {
			if($file != "." && $file != "..") {
				$vorhanden = true;
				$files[] = $file;
			}
		}
		closedir($handle);
		}
		if ($vorhanden) {
			echo '<ul class="linklist">';
			natcasesort($files);
			foreach ($files as $file) {
				$class = (!isset($class) or $class == 'normal') ? 'alt' : 'normal';
				echo '<li class="'.$class.'">
					<span class="list_name">'.$file.'</span>
					<span class="list_info">
						<a href="editinc.php?inc='.$file.'&'.SID.csrf_protection_get_html_ret().'"><!--<img src="icons/edit.png" style="vertical-align:middle" border="0" height="16" width="16" />--> '.locale('link_edit',true).'</a> &bull;
						<a href="renameinc.php?inc='.$file.'&'.SID.csrf_protection_get_html_ret().'"><!--<img src="icons/rename.png" style="vertical-align:middle" border="0" height="16" width="16" />--> '.locale('link_rename',true).'</a> &bull;
						<a href="delinc.php?inc='.$file.'&'.SID.csrf_protection_get_html_ret().'"><!--<img src="icons/delete.png" style="vertical-align:middle" border="0" height="16" width="16" />--> '.locale('link_delete',true).'</a>
					</span>
				</li>';
			}
			echo '</ul>';
		} else {
			echo '<p class="box">'.locale('desc_no-includes',true).'</p>';
		}
		?>

</body>
</html>
