<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('edituser');

$message = '';
include('escape.inc.php');
if (isset($_POST['button'])) {
	if ($_POST['pass'] == $_POST['repeat']) {
		$existing = false;
		if ($handle = opendir('../data/users')) {
			while (false !== ($file = readdir($handle))) {
				if($file != '.' && $file != '..') {
					include('../data/users/'.$file);
					if ($user == $_POST['user']) {
						$existing = true;
					}
				}
			}
			closedir($handle);
		}
		if ($_POST['user'] != '' && !$existing) {
			$time = time();
			$pass = sha1($time.'.php'.escapeSL($_POST['pass']));
			$user_pages = (isset($_POST['pages'])) ? $_POST['pages'] : '';
			$user_files = (isset($_POST['files'])) ? $_POST['files'] : '';
			$user_includes = (isset($_POST['includes'])) ? $_POST['includes'] : '';
			$user_template = (isset($_POST['template'])) ? $_POST['template'] : '';
			$user_gbook = (isset($_POST['gbook'])) ? $_POST['gbook'] : '';
			$user_blog = (isset($_POST['blog'])) ? $_POST['blog'] : '';
			$user_stats = (isset($_POST['stats'])) ? $_POST['stats'] : '';
			$writethis = '<?php
			$user = \''.escapeForm($_POST['user']).'\';
			$pass = \''.escapeSave($pass).'\';
			$user_pages = \''.escapeForm($user_pages).'\';
			$user_files = \''.escapeForm($user_files).'\';
			$user_includes = \''.escapeForm($user_includes).'\';
			$user_template = \''.escapeForm($user_template).'\';
			$user_gbook = \''.escapeForm($user_gbook).'\';
			$user_blog = \''.escapeForm($user_blog).'\';
			$user_stats = \''.escapeForm($user_stats).'\';
			?>';
			file_put_contents('../data/users/'.$time.'.php', $writethis);
			header('Location: users.php?saved='.urlencode($_POST['user']).'&'.SID.csrf_protection_get());
		} else {
			$message = '<p class="error">'.locale('desc_error-username',true).'</p>';
		}
	} else {
		$message = '<p class="error">'.locale('desc_error-invalid-data',true).'</p>';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title_newuser') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css" />
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<h2><?php locale('title_newuser') ?></h2>
		<?php echo $message ?>
		<form action="newuser.php?<?php echo SID; csrf_protection_get_html() ?>" method="post">
			<fieldset>
				<p>
					<div class="row entryrow">
						<label for="user" class="column">
							<?php locale('label_username') ?>:
						</label>
						<span class="column">
							<input type="text" id="user" name="user" value="<?php echo (isset($_POST['user'])) ? htmlspecialchars(escapeSL($_POST['user'])) : ''; ?>" />
						</span>
					</div>

					<div class="row entryrow">
						<label for="pass" class="column">
							<?php locale('label_password') ?>:
						</label>
						<span class="column">
							<input type="password" id="pass" name="pass" value="" />
						</span>
					</div>

					<div class="row entryrow">
						<label for="repeat" class="column">
							<?php locale('desc_repeat') ?>
						</label>
						<span class="column">
							<input type="password" id="repeat" name="repeat" value="" />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>
			<fieldset>
				<legend><?php locale('title_rights') ?></legend>
				<p>
					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="pages" id="pages" <?php echo (isset($_POST['pages']) && $_POST['pages'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="pages" class="column">
							<?php locale('label_user-pages') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="files" id="files" <?php echo (isset($_POST['files']) && $_POST['files'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="files" class="column">
							<?php locale('label_user-files') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="includes" id="includes" <?php echo (isset($_POST['includes']) && $_POST['includes'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="includes" class="column">
							<?php locale('label_user-includes') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="template" id="template" <?php echo (isset($_POST['template']) && $_POST['template'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="template" class="column">
							<?php locale('label_user-template') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="gbook" id="gbook" <?php echo (isset($_POST['gbook']) && $_POST['gbook'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="gbook" class="column">
							<?php locale('label_user-gbook') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="blog" id="blog" <?php echo (isset($_POST['blog']) && $_POST['blog'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="blog" class="column">
							<?php locale('label_user-blog') ?>
						</label>
					</div>

					<div class="row checkrow">
						<span class="column">
							<input type="checkbox" name="stats" id="stats" <?php echo (isset($_POST['stats']) && $_POST['stats'] == 'on') ? 'checked="checked"' : ''; ?> />
						</span>
						<label for="stats" class="column">
							<?php locale('label_user-stats') ?>
						</label>
					</div>

					<br class="break" />
				</p>
			</fieldset>
			<p class="hint">
				<?php locale('desc_users') ?>
			</p>
			<p>
				<input type="submit" name="button" value="<?php locale('button_save') ?>">
				<a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('button_cancel') ?></a>
			</p>
		</form>

	</body>
</html>
