<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('updatesettings');

include('escape.inc.php');
if (isset($_POST['button'])) {
	$autoupdate = (isset($_POST['autoupdate'])) ? $_POST['autoupdate'] : '';
	$writethis = '<?php
	$autoupdate = \''.escapeForm($autoupdate).'\';
	$ftpserver = \''.escapeForm($_POST['ftpserver']).'\';
	$ftpuser = \''.escapeForm($_POST['ftpuser']).'\';
	$ftppw = \''.escapeForm($_POST['ftppw']).'\';
	$ftpdir = \''.escapeForm($_POST['ftpdir']).'\';
	?>';
	file_put_contents('../data/settings/update.inc.php', $writethis);
	if (isset($_GET['download'])) {
		header('Location: update/download.php?'.SID.csrf_protection_get());
		die();
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<?php if (!isset($_GET['download'])) { ?>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<?php } ?>

		<h2><?php locale('title') ?></h2>
		<?php
		if (isset($_POST['button'])) {
			echo '<p class="success">'.locale('desc_settings-saved',true).'</p>';
		}
		include('../data/settings/update.inc.php');
		?>
		<?php
		if (!function_exists('curl_init')) {
			echo '<p class="error">'.locale('desc_updatecheck-impossible',true).' '.locale('desc_updatecheck-software',true).'</p>';
			$updatecheck_disabled = true;
			$autoupdate_disabled = true;
		} elseif (!extension_loaded('ftp') || !extension_loaded('zlib')) {
			echo '<p class="hint">'.locale('desc_autoupdate-impossible',true).' '.locale('desc_autoupdate-software',true).'</p>';
			$autoupdate_disabled = true;
		} ?>
		<form action="updatesettings.php?<?php if (isset($_GET['download'])) echo 'download=true&'; ?><?php echo SID; csrf_protection_get_html() ?>" method="post">
			<?php if (!isset($_GET['download'])) { ?>
				<fieldset>
					<p>
						<div class="row checkrow">
							<span class="column">
								<input type="checkbox" name="autoupdate" id="autoupdate" <?php if ($autoupdate == 'on') { echo 'checked="checked"'; } ?> <?php if (isset($updatecheck_disabled)) { echo 'disabled="disabled"'; } ?> />
							</span>
							<label for="autoupdate" class="column">
								<strong><?php locale('label_autoupdate') ?></strong><br />
								<em><?php locale('desc_autoupdate') ?> <?php locale('desc_updatecheck') ?></em>
							</label>
						</div>

						<br class="break" />
					</p>
				</fieldset>
			<?php } else { ?>
				<input type="hidden" name="autoupdate" value="<?php echo htmlspecialchars($autoupdate) ?>" />
			<?php } ?>
			<p class="hint">
				<?php locale('desc_ftp') ?>
			</p>
			<fieldset>
				<p>
					<div class="row entryrow">
						<label for="ftpserver" class="column">
							<?php locale('label_ftpserver') ?>
						</label>
						<span class="column">
							<input type="text" id="ftpserver" name="ftpserver" value="<?php echo htmlspecialchars($ftpserver) ?>" <?php if (isset($autoupdate_disabled)) { echo 'disabled="disabled"'; } ?> /> <i><?php locale('desc_ftpserver-protocol') ?></i>
						</span>
					</div>

					<div class="row entryrow">
						<label for="ftpuser" class="column">
							<?php locale('label_ftpuser') ?>
						</label>
						<span class="column">
							<input type="text" id="ftpuser" name="ftpuser" value="<?php echo htmlspecialchars($ftpuser) ?>" <?php if (isset($autoupdate_disabled)) { echo 'disabled="disabled"'; } ?> /><br />
						</span>
					</div>

					<div class="row entryrow">
						<label for="ftppw" class="column">
							<?php locale('label_ftppw') ?>
						</label>
						<span class="column">
							<input type="password" id="ftppw" name="ftppw" <?php if (isset($autoupdate_disabled)) { echo 'disabled="disabled"'; } ?> /><br />
						</span>
					</div>

					<div class="row entryrow">
						<label for="ftpdir" class="column">
							<?php locale('label_ftpdir') ?>
						</label>
						<span class="column">
							<input type="text" id="ftpdir" name="ftpdir" value="<?php echo htmlspecialchars($ftpdir) ?>" <?php if (isset($autoupdate_disabled)) { echo 'disabled="disabled"'; } ?> /> <i><?php locale('desc_ftpdir-slash') ?></i><br />
						</span>
					</div>

					<br class="break" />
				</p>
			</fieldset>
			<p>
				<input type="submit" name="button" value="<?php locale('button_save') ?>" <?php if (isset($updatecheck_disabled)) { echo 'disabled="disabled"'; } ?> />
			</p>
		</form>

	</body>
</html>
