<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('edituser');

require_once('escape.inc.php');
if (isset($_GET['deluser'])) {
	$usermessage = '<p class="success">'.sprintf(locale('desc_user-deleted',true), htmlspecialchars($_GET['deluser'])).'</p>';
} elseif (isset($_GET['saved'])) {
	$usermessage = '<p class="success">'.sprintf(locale('desc_user-saved',true), htmlspecialchars($_GET['saved'])).'</p>';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css" />
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<h2><?php locale('title') ?></h2>
		<?php if (isset($usermessage)) echo $usermessage; ?>
		<p class="linklist_action">
			<a href="newuser.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><img src="icons-action/create-user.png" style="vertical-align:middle" alt="" height="16" width="16" /> <?php locale('link_newuser') ?></a>
		</p>
		<?php
		echo '<ul class="linklist">';
		if ($handle = opendir('../data/users')) {
			while (false !== ($file = readdir($handle))) {
				if($file != '.' && $file != '..') {
					$class = (!isset($class) or $class == 'normal') ? 'alt' : 'normal';
					include('../data/users/'.$file);
					echo '<li class="'.$class.'">';
					if ($file == 'root.php') {
						echo '<span class="list_name">'.htmlspecialchars($user).' '.locale('desc_user-root',true).'</span>';
					} else {
						echo '<span class="list_name">'.htmlspecialchars($user).'</span>';
					}
					echo '<span class="list_info">';
					if ($file == 'root.php') {
						echo '<a href="editroot.php?'.SID.csrf_protection_get_html_ret().'">'.locale('link_edit',true).'</a>';
					} else {
						echo '<a href="edituser.php?user='.$file.'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_edit',true).'</a> &bull; ';
						echo '<a href="deluser.php?user='.$file.'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_delete',true).'</a>';
					}
					echo '</span>';
					echo '</li>';
				}
			}
			closedir($handle);
		}
		echo '</ul>';
		?>


	</body>
</html>
